package cn.axzo.msg.center.service.enums;

import lombok.Getter;

@Getter
public enum SimplePageQueryStateEnum {
    /**
     * 已处理
     */
    COMPLETED(1, "已处理"),
    /**
     * 已终止
     */
    ABORTED(2, "已终止"),
    /**
     * 已撤销
     */
    RETRACT(3, "已撤销"),
    /**
     * 待处理
     */
    HAS_BEEN_SENT(4, "待处理");

    private final int code;
    private final String desc;

    SimplePageQueryStateEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

}
